Bug 162837 - Wizard for sharing libraries hides the New Job wizard
Wizard for sharing libraries hides the New Job wizard
Status: NEW
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: TBD
Assigned To: Jaroslav Havlin
issues@connecteddeveloper
: UI
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 14:02 UTC by Petr Dvorak
Modified: 2012-06-14 16:43 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Dvorak 2009-04-16 14:02:43 UTC
Product Version: NetBeans IDE Dev (Build Kenai API - Hg fetch-122-on-090415)
Java: 1.6.0_10; Java HotSpot(TM) Client VM 11.0-b15
System: Linux version 2.6.27-14-generic running on i386; UTF-8; en_US (nb)
Userdir: /home/tester/Desktop/userdir_cdev_custom

1. Create a new project that can be imported to Hudson instance
   - Create a new Java Application project
   - Create some JUnit tests in the project
   - Import the project in the Subversion repository
2. Open the dialog for the new Hudson job, select the project you just created
3. Click the button for sharing libraries

-> The wizard for sharing libraries shows up, but the dialog for the new hudson job is closed, which is not very
confident from the user's perspective - you have to reopen the dialog...
Comment 1 Jesse Glick 2009-04-17 17:47:38 UTC
This is intentional. You would at a minimum need to check in your changes to the SCM. You would probably also want to do
a clean build to check that everything is behaving as expected locally. Keeping a modal dialog open would get in the way
of these things. Since there is not much information entered in the Create Job dialog to begin with, it seems better to
just close it and let you restart when you are ready.
Comment 2 Petr Dvorak 2009-05-07 15:53:21 UTC
OK - this sounds logical and I understand this. On the other hand it little bit breaks the linear workflow (I am not a
usability expert but I was little confused when I didn't see the New Hudson Job dialog... I understand it when you
explained it but I would not think this way myself).

I think the wording of the message in the dialog for the new Hudson job could contain some information about what will
happen when user decides to make libraries sharable. Something like (...disregard my Czenglish):

"Global libraries should be copied to a dedicated libraries folder. If you decide to do so now, this dialog will be
closed so that you can commit libraries to SCM and check that everything works as expected with shared libraries."

Maybe this could be done in a separate Yes/No dialog too. User clicks the "Copy libraries" button and gets a message
(Yes/No) with an explanation of what's happening. If he/she clicks Yes, the wizard for making libs sharable would show
up...).
Comment 3 Jesse Glick 2009-05-19 04:47:28 UTC
Space in the dialog is limited so no long wording there. Inclined for this to be WONTFIX but maybe Jano has a preference.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo